SdFat

Public Attributes | List of all members
fat32_fsinfo Struct Reference

FSINFO sector for a FAT32 volume. More...

`#include <FatStructs.h>`

## Public Attributes
uint32_t | freeCount
uint32_t | leadSignature
uint32_t | nextFree
uint8_t | reserved1 [480]
uint8_t | reserved2 [12]
uint32_t | structSignature
uint8_t | tailSignature [4]

## Detailed Description

FSINFO sector for a FAT32 volume.

## Member Data Documentation

## ◆ freeCount

uint32_t fat32_fsinfo::freeCount

Contains the last known free cluster count on the volume. If the value is 0xFFFFFFFF, then the free count is unknown and must be computed. Any other value can be used, but is not necessarily correct. It should be range checked at least to make sure it is <= volume cluster count.

## ◆ leadSignature

uint32_t fat32_fsinfo::leadSignature

must be 0X52, 0X52, 0X61, 0X41

## ◆ nextFree

uint32_t fat32_fsinfo::nextFree

This is a hint for the FAT driver. It indicates the cluster number at which the driver should start looking for free clusters. If the value is 0xFFFFFFFF, then there is no hint and the driver should start looking at cluster 2.

## ◆ reserved1

uint8_t fat32_fsinfo::reserved1[480]

must be zero

## ◆ reserved2

uint8_t fat32_fsinfo::reserved2[12]

must be zero

## ◆ structSignature

uint32_t fat32_fsinfo::structSignature

must be 0X72, 0X72, 0X41, 0X61

## ◆ tailSignature

uint8_t fat32_fsinfo::tailSignature[4]

must be 0X00, 0X00, 0X55, 0XAA

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/FatStructs.h